import {Component, OnDestroy, OnInit} from '@angular/core';
import {TilesService} from "../../services/tiles.service";
import {ProgressSummary} from "../../model/tile";
import {Observable, Subject} from "rxjs";
import {takeUntil} from "rxjs/operators";

@Component({
  selector: 'app-progress',
  templateUrl: './progress.component.html',
  styleUrls: ['./progress.component.scss']
})
export class ProgressComponent implements OnInit, OnDestroy {

  private ngUnsubscribe = new Subject();
  public progress: Observable<Array<ProgressSummary>>;

  constructor(private tileService: TilesService) {
  }

  ngOnInit(): void {
    this.progress = this.tileService.getProgressSummary().pipe(takeUntil(this.ngUnsubscribe));
  }

  ngOnDestroy(): void {
    this.ngUnsubscribe.next();
    this.ngUnsubscribe.complete();
  }

}
